<fabricinformation>
	<fabricimages>
		<onerepeatimage>
			<thumb_url>{{ fabric.thumb.url }}</thumb_url>
			<image_url>{{ fabric.image.url }}</image_url>
		</onerepeatimage>
		<detailimages>
			{% for detailimage in fabric.detailimage_set.all %}
				<detailimage>
					<thumb_url>{{ detailimage.thumb.url }}</thumb_url>
					<image_url>{{ detailimage.image.url }}</image_url>
				</detailimage>
			{% endfor %}
		</detailimages>
	</fabricimages>
	<detailinfo>
		{% with info=fabric.fabricinformation  %}
			<name>{{ fabric.name }}</name>
			<code>{{ info.code }}</code>
			<weight>{{ info.weight }}</weight>
			<width>{{ info.width }}</width>
			<composition>{{ info.composition }}</composition>
			<price>{{ info.price }}</price>
			<size>{{ info.oneRepeatSize }}</size>
			<text>{{ info.text }}</text>
			<valid>{{ fabric.valid }}</valid>			
		{% endwith %}
	</detailinfo>
	<landrytags>{{ laundrytags }}</landrytags>
	<searchcolor>{{ fabriccolor }}</searchcolor>
	<searchimage>{{ fabricimage }}</searchimage>
	<searchfunction>{{ fabricfunction }}</searchfunction>
	<allowed_group_ids>{{ allowed_group_ids }}</allowed_group_ids>
</fabricinformation>